/* Zope Folder/icon script */
/* Originally by sehh@altered.com */
/* Altered by ted@os2ports.com */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
dir=directory()

rc=SysCreateObject('WPFolder',,
'Zope 2.6.1',,
'<WP_DESKTOP>',,
'OBJECTID=<ZOPEFLDR>;'||,
'ALWAYSSORT=YES;',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Start Zope',,
'<ZOPEFLDR>',,
'EXENAME='||dir||'\PYTHON223\PYTHON.EXE;'||,
'PARAMETERS=z2.py -D -f - -u zope;'||,
'STARTUPDIR='||dir||'\Zope;'||,
'ICONFILE='||dir||'\zopeicons\Zope.ico;'||,
'OBJECTID=<ZOPESTART>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Create Initial User',,
'<ZOPEFLDR>',,
'EXENAME='||dir||'\PYTHON223\PYTHON.EXE;'||,
'PARAMETERS=zpasswd.py inituser;'||,
'STARTUPDIR='||dir||'\Zope;'||,
'ICONFILE='||dir||'\zopeicons\Init_user.ico;'||,
'OBJECTID=<ZOPEUSER>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'The Zope Book',,
'<ZOPEFLDR>',,
'EXENAME=D:\OS2\VIEW.EXE;'||,
'PARAMETERS=D:\Apps\ZopeBook.inf;'||,
'ICONFILE='||dir||'\zopeicons\book.ico;'||,
'OBJECTID=<BOOKZOPE>',,
'Update' )

rc=SysCreateObject('WPUrl',,
'Zope OS/2 Website',,
'<ZOPEFLDR>',,
'LOCATOR=http://os2ports.com/content/sections/zopeos2;'||,
'ICONFILE='||dir||'\zopeicons\internet.ico;'||,
'OBJECTID=<SITEZOPE>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Configuring Apache',,
'<ZOPEFLDR>',,
'EXENAME=e.exe;'||,
'PARAMETERS='||dir||'\README.apache;'||,
'ICONFILE='||dir||'\zopeicons\wp.ico;'||,
'OBJECTID=<APACHEZOPE>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'INSTALL',,
'<ZOPEFLDR>',,
'EXENAME=e.exe;'||,
'PARAMETERS='||dir||'\INSTALL.os2emx;'||,
'ICONFILE='||dir||'\zopeicons\text.ico;'||,
'OBJECTID=<INSTALLZOPE>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'CHANGES',,
'<ZOPEFLDR>',,
'EXENAME=e.exe;'||,
'PARAMETERS='||dir||'\Zope\doc\CHANGES.txt;'||,
'ICONFILE='||dir||'\zopeicons\text.ico;'||,
'OBJECTID=<CHANGESZOPE>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'LICENSE',,
'<ZOPEFLDR>',,
'EXENAME=e.exe;'||,
'PARAMETERS='||dir||'\Zope\LICENSE.txt;'||,
'ICONFILE='||dir||'\zopeicons\text.ico;'||,
'OBJECTID=<LICENSEZOPE>',,
'Update' )

rc=SysCreateShadow('<ZOPESTART>','<WP_DESKTOP>')

rc=SysCreateObject('WPFolder',,
'Python 2.2.3',,
'<ZOPEFLDR>',,
'OBJECTID=<PYTHONFLDR>;'||,
'ALWAYSSORT=YES;',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Python Interactive',,
'<PYTHONFLDR>',,
'EXENAME='||dir||'\PYTHON223\PYTHON.EXE;'||,
'STARTUPDIR='||dir||'\PYTHON223;'||,
'ICONFILE='||dir||'\zopeicons\python.ico;'||,
'OBJECTID=<PYTHONINTR>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Python Script+Arguments',,
'<PYTHONFLDR>',,
'EXENAME='||dir||'\PYTHON223\PYTHON.EXE;'||,
'PARAMETERS=[Drive:\path\script parameters];'||,
'STARTUPDIR='||dir||'\PYTHON223;'||,
'ICONFILE='||dir||'\zopeicons\python.ico;'||,
'OBJECTID=<PYTHONSCRIPT>',,
'Update' )

rc=SysCreateObject('WPUrl',,
'Python OS/2 Website',,
'<PYTHONFLDR>',,
'LOCATOR=http://www.andymac.org/python.html;'||,
'ICONFILE='||dir||'\zopeicons\internet.ico;'||,
'OBJECTID=<SITEPYTHON>',,
'Update' )

rc=SysCreateShadow(dir'\PYTHON223\README.os2emx','<PYTHONFLDR>')
rc=SysCreateShadow(dir'\PYTHON223\README.os2emx.multiple_versions','<PYTHONFLDR>')
rc=SysCreateShadow(dir'\PYTHON223\README.Python-2.2.3','<PYTHONFLDR>')
rc=SysCreateShadow(dir'\PYTHON223\LICENSE.Python-2.2.3','<PYTHONFLDR>')
